summaryrefslogtreecommitdiff
path: root/net-analyzer/zabbix/files/2.2/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/zabbix/files/2.2/init.d')
-rw-r--r--net-analyzer/zabbix/files/2.2/init.d/zabbix-agentd28
-rw-r--r--net-analyzer/zabbix/files/2.2/init.d/zabbix-proxy27
-rw-r--r--net-analyzer/zabbix/files/2.2/init.d/zabbix-server26
3 files changed, 81 insertions, 0 deletions
diff --git a/net-analyzer/zabbix/files/2.2/init.d/zabbix-agentd b/net-analyzer/zabbix/files/2.2/init.d/zabbix-agentd
new file mode 100644
index 000000000000..50db578f6b5a
--- /dev/null
+++ b/net-analyzer/zabbix/files/2.2/init.d/zabbix-agentd
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+pid_file="/run/zabbix/zabbix_agentd.pid"
+
+depend() {
+ need net
+ provide zabbix-agent
+ use zabbix-server
+}
+
+start_pre() {
+ checkpath -d -m 0775 -o zabbix:zabbix /run/zabbix
+}
+
+start() {
+ ebegin "Starting Zabbix agent"
+ start-stop-daemon --start --pidfile ${pid_file} \
+ --user zabbix --group zabbix --exec /usr/sbin/zabbix_agentd -- -c /etc/zabbix/zabbix_agentd.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix agent"
+ start-stop-daemon --stop --pidfile ${pid_file}
+ eend $?
+}
diff --git a/net-analyzer/zabbix/files/2.2/init.d/zabbix-proxy b/net-analyzer/zabbix/files/2.2/init.d/zabbix-proxy
new file mode 100644
index 000000000000..81bd4f3607a1
--- /dev/null
+++ b/net-analyzer/zabbix/files/2.2/init.d/zabbix-proxy
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+pid_file="/run/zabbix/zabbix_proxy.pid"
+
+depend() {
+ need net
+ provide zabbix-proxy
+}
+
+start_pre() {
+ checkpath -d -m 0775 -o zabbix:zabbix /run/zabbix
+}
+
+start() {
+ ebegin "Starting Zabbix proxy"
+ start-stop-daemon --start --pidfile ${pid_file} \
+ --user zabbix --group zabbix --exec /usr/sbin/zabbix_proxy -- -c /etc/zabbix/zabbix_proxy.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix proxy"
+ start-stop-daemon --stop --pidfile ${pid_file}
+ eend $?
+}
diff --git a/net-analyzer/zabbix/files/2.2/init.d/zabbix-server b/net-analyzer/zabbix/files/2.2/init.d/zabbix-server
new file mode 100644
index 000000000000..abc9002f4646
--- /dev/null
+++ b/net-analyzer/zabbix/files/2.2/init.d/zabbix-server
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+pid_file="/run/zabbix/zabbix_server.pid"
+
+depend() {
+ need net
+ use mysql postgresql
+}
+start_pre() {
+ checkpath -d -m 0775 -o zabbix:zabbix /run/zabbix
+}
+
+start() {
+ ebegin "Starting Zabbix server"
+ start-stop-daemon --start --user zabbix --group zabbix --pidfile ${pid_file} \
+ --exec /usr/sbin/zabbix_server -- -c /etc/zabbix/zabbix_server.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix server"
+ start-stop-daemon --stop --pidfile ${pid_file}
+ eend $?
+}